## GocPolygon

GocPolygon — Polygon.

## Synopsis

                        GocPolygon;
    typedef             GocPolygonClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocPolygon

## Implemented Interfaces

GocPolygon implements GOStyledObject.

## Properties

      "fill-rule"                gboolean              : Read / Write
      "points"                   GocPoints*            : Read / Write
      "sizes"                    GocIntArray*          : Read / Write
      "use-spline"               gboolean              : Read / Write

## Description

GocPolygon implements polygon drawing in the canvas.

## Details

### GocPolygon

    typedef struct _GocPolygon GocPolygon;

### GocPolygonClass

    typedef GocStyledItemClass GocPolygonClass;

## Property Details

### The `"fill-rule"` property

      "fill-rule"                gboolean              : Read / Write

Set fill rule to winding or even/odd.

Default value: FALSE

### The `"points"` property

      "points"                   GocPoints*            : Read / Write

The polygon vertices.

### The `"sizes"` property

      "sizes"                    GocIntArray*          : Read / Write

If set, the polygon will be split as several polygons according to the given sizes. Each size must be at least 3. Values following an invalid value will be discarded. Setting the "point" property will reset the sizes.

### The `"use-spline"` property

      "use-spline"               gboolean              : Read / Write

Use a Bezier closed cubic spline as contour.

Default value: FALSE